<?php

namespace Openguru\OpenCartFramework\QueryBuilder;

class QueryResult
{
    private $row;
    private $rows;
    private $numRows;

    public function __construct(
        $row,
        $rows,
        $numRows
    ) {
        $this->row = $row;
        $this->rows = $rows;
        $this->numRows = $numRows;
    }

    /**
     * @return mixed
     */
    public function getRow()
    {
        return $this->row;
    }

    /**
     * @return mixed
     */
    public function getRows()
    {
        return $this->rows;
    }

    /**
     * @return mixed
     */
    public function getNumRows(): int
    {
        return $this->numRows;
    }
}
